efibootmgr_0.12-4_amd64.deb


Advertisement

Description

efibootmgr - Interact with the EFI Boot Manager

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name efibootmgr
Package version 0.12
Package release 4
Package architecture amd64
Package type deb
Installed size 83 B
Download size 19.84 KB
Official Mirror archive.ubuntu.com
This is a Linux user-space application to modify the Intel Extensible
Firmware Interface (EFI) Boot Manager configuration. This application can
create and destroy boot entries, change the boot order, change the next
running boot option, and more.
Additional information about (U)EFI can be found at http://www.uefi.org/.
Note: efibootmgr requires that the kernel module efivars be loaded prior
to use. 'modprobe efivars' should do the trick if it does not
automatically load.

Alternatives

Package Version Architecture Repository
efibootmgr_0.12-4_i386.deb 0.12 i386 Ubuntu Main
efibootmgr - - -

Requires

Name Value
libc6 >= 2.14
libefivar0 >= 0.20

Download

Type URL
Binary Package efibootmgr_0.12-4_amd64.deb
Source Package efibootmgr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install efibootmgr deb package:
    # sudo apt-get install efibootmgr

Files

Path
/bin/efibootmgr
/usr/share/doc/efibootmgr/README.Debian
/usr/share/doc/efibootmgr/README.gz
/usr/share/doc/efibootmgr/TODO
/usr/share/doc/efibootmgr/changelog.Debian.gz
/usr/share/doc/efibootmgr/copyright
/usr/share/man/man8/efibootmgr.8.gz

Changelog

2015-07-13 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.12-4) unstable; urgency=medium
* Make it a little clearer what's going on when efi_del_variable() fails.
2015-06-24 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.12-3) unstable; urgency=medium
* Delete BootOrder only when necessary (PR 32)
* Set guid when reading boot entries in read_vars (PR 27)
2015-06-23 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.12-2) unstable; urgency=medium
* We need to rebuild for the library version change in efivar 0.20-2
2015-06-01 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.12-1) unstable; urgency=medium
* New upstream release
* Upstream doesn't use libpci-dev or zlib1g-dev so let's not
* We don't need any of the << 0.12-1 quilt patches anymore
* Welcome to the one decimal point era!
* We need efivar >= 0.19
* pkg-config is now needed
2015-05-20 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.11.0-4) unstable; urgency=medium
* fix include path for libefivar
2014-12-17 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.11.0-3) unstable; urgency=medium
* Partially deal with #773007 so that we can mix and match 32/64-bit
UEFI/kernel to our heart's content.
2014-12-15 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.11.0-2) unstable; urgency=medium
* Acknowledge NMU.
* Provide more useful warning message if BootOrder is unset.
* Preemptively take efi_variable_t patch so we don't have ugly collisions if
newer efivar used.
* Better handle unreadable boot variables (Closes: #768880).
2014-11-22 - Andreas Bombe <aeb@debian.org>
efibootmgr (0.11.0-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Skip dh_auto_install, it installs binary into /usr/sbin and is not
actually needed with the current packaging (Closes: 768889)
2014-10-28 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.11.0-1) unstable; urgency=medium
* New upstream version
* Remove all quilt patches since they're upstream 
2014-10-14 - Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
efibootmgr (0.9.0-2) unstable; urgency=medium
* Make multi-arch aware (Closes: #764796)
* work on 32-bit x86 (Closes: #764797)

See Also

Package Description
efivar_0.23-2_amd64.deb Tools to manage UEFI variables
eject_2.1.5+deb1+cvs20081104-13.1_amd64.deb ejects CDs and operates CD-Changers under Linux
emacs-goodies-el_35.12ubuntu2_all.deb Miscellaneous add-ons for Emacs
emacs24-bin-common_24.5+1-6ubuntu1_amd64.deb GNU Emacs editor's shared, architecture dependent files
emacs24-common-non-dfsg_24.4+1-2_all.deb GNU Emacs common non-DFSG items, including the core documentation
emacs24-common_24.5+1-6ubuntu1_all.deb GNU Emacs editor's shared, architecture independent infrastructure
emacs24-el_24.5+1-6ubuntu1_all.deb GNU Emacs LISP (.el) files
emacs24-nox_24.5+1-6ubuntu1_amd64.deb GNU Emacs editor (without GUI support)
emacs24_24.5+1-6ubuntu1_amd64.deb GNU Emacs editor (with GTK+ GUI support)
emacs_46.1_all.deb GNU Emacs editor (metapackage)
emacsen-common_2.0.8_all.deb Common facilities for all emacsen
enchant_1.6.0-10.1build2_amd64.deb Wrapper for various spell checker engines (binary programs)
eog-dev_3.18.2-1ubuntu1_all.deb Development files for the Eye of GNOME
eog_3.18.2-1ubuntu1_amd64.deb Eye of GNOME graphics viewer program
erlang-asn1_18.3-dfsg-1ubuntu3_amd64.deb Erlang/OTP modules for ASN.1 support
Advertisement
Advertisement